import { XMLElem, type IToXML } from "@/util/XmlElem";
export class UAAlias implements IToXML{
    constructor(public alias: string,
                public id: string) {
    }
    toXML(): XMLElem {
        return new XMLElem('Alias', this.id).attr('alias', this.alias);  
    }
    static fromXML(xmlObject: any): UAAlias {
        return new UAAlias( xmlObject['@_Alias'], xmlObject['#text']);
    }
}
